#ifndef JMPTIME_H__
#define JMPTIME_H__

#include <sys/time.h>
#include <jni.h>
#include <jvmpi.h>

/** Returns a jlong with the current time in nanoseconds.
 *  If gettimeofday is available it is used, otherwise we 
 *  use jvmpi->GetCurrentThreadCpuTime, which is not the same 
 *  thing but similar...
 * 
 *  // TODO what method should windows call?
 */
jlong get_time (JVMPI_Interface* jvmpi);

#endif /* JMPTIME_H__ */
