

/** The methods used to translate jvm strings to human readable 
 *  field types and method signatures.
 */

/** 
 * @param class_name the field type to translate.
 * @param buf the output buffer.
 * @return the length of the converted string.
 */
int translate_field_type (const char* class_name, char* buf);


/** 
 * @param name the name of the method to translate
 * @param signature the signature of the method we want to translate.
 * @param buf the output buffer.
 * @return the length of the converted string.
 */
int translate_method (const char* name, const char* signature, char* buf);
